Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.ui
Class DojoWidget

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.springframework.faces.ui.SpringJavascriptElementDecoration
                  org.springframework.faces.ui.DojoWidget

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  DojoClientCurrencyValidator, DojoClientDateValidator, DojoClientNumberValidator, DojoClientTextValidator

    public abstract class DojoWidget

extends SpringJavascriptElementDecoration

Base `UIComponent` for a component that uses the Dojo implementation of Spring JavaScript to decorate a child component with enhanced client-side behavior.

Author:
  Jeremy Grelle

Field Summary
`protected static java.lang.String[]` | `DOJO_ATTRS`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`DojoWidget()`

Method Summary
`java.lang.String` | `getConstraints()`
`java.lang.Boolean` | `getDisabled()`
`protected abstract java.lang.String[]` | `getDojoAttributes()`
`java.lang.Boolean` | `getIntermediateChanges()`
`java.lang.String` | `getInvalidMessage()`
`java.lang.Boolean` | `getLowercase()`
`java.lang.String` | `getPromptMessage()`
`java.lang.Boolean` | `getPropercase()`
`java.lang.String` | `getRegExp()`
`java.lang.String` | `getRegExpGen()`
`java.lang.Boolean` | `getRequired()`
`java.lang.Integer` | `getTabIndex()`
`java.lang.Boolean` | `getUppercase()`
`abstract java.lang.String` | `getWidgetType()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setConstraints(java.lang.String constraints)`
`void` | `setDisabled(java.lang.Boolean disabled)`
`void` | `setIntermediateChanges(java.lang.Boolean intermediateChanges)`
`void` | `setInvalidMessage(java.lang.String invalidMessage)`
`void` | `setLowercase(java.lang.Boolean lowercase)`
`void` | `setPromptMessage(java.lang.String promptMessage)`
`void` | `setPropercase(java.lang.Boolean propercase)`
`void` | `setRegExp(java.lang.String regExp)`
`void` | `setRegExpGen(java.lang.String regExpGen)`
`void` | `setRequired(java.lang.Boolean required)`
`void` | `setTabIndex(java.lang.Integer tabIndex)`
`void` | `setUppercase(java.lang.Boolean uppercase)`

Methods inherited from class org.springframework.faces.ui.SpringJavascriptElementDecoration
`getFamily`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOJO_ATTRS

    protected static final java.lang.String[] DOJO_ATTRS

Constructor Detail

### DojoWidget

    public DojoWidget()

Method Detail

### getDisabled

    public java.lang.Boolean getDisabled()

### setDisabled

    public void setDisabled(java.lang.Boolean disabled)

### getIntermediateChanges

    public java.lang.Boolean getIntermediateChanges()

### setIntermediateChanges

    public void setIntermediateChanges(java.lang.Boolean intermediateChanges)

### getTabIndex

    public java.lang.Integer getTabIndex()

### setTabIndex

    public void setTabIndex(java.lang.Integer tabIndex)

### getRequired

    public java.lang.Boolean getRequired()

### setRequired

    public void setRequired(java.lang.Boolean required)

### getPromptMessage

    public java.lang.String getPromptMessage()

### setPromptMessage

    public void setPromptMessage(java.lang.String promptMessage)

### getInvalidMessage

    public java.lang.String getInvalidMessage()

### setInvalidMessage

    public void setInvalidMessage(java.lang.String invalidMessage)

### getConstraints

    public java.lang.String getConstraints()

### setConstraints

    public void setConstraints(java.lang.String constraints)

### getRegExp

    public java.lang.String getRegExp()

### setRegExp

    public void setRegExp(java.lang.String regExp)

### getRegExpGen

    public java.lang.String getRegExpGen()

### setRegExpGen

    public void setRegExpGen(java.lang.String regExpGen)

### getLowercase

    public java.lang.Boolean getLowercase()

### setLowercase

    public void setLowercase(java.lang.Boolean lowercase)

### getUppercase

    public java.lang.Boolean getUppercase()

### setUppercase

    public void setUppercase(java.lang.Boolean uppercase)

### getPropercase

    public java.lang.Boolean getPropercase()

### setPropercase

    public void setPropercase(java.lang.Boolean propercase)

### getDojoAttributes

    protected abstract java.lang.String[] getDojoAttributes()

### getWidgetType

    public abstract java.lang.String getWidgetType()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD